%define tagver %(echo %version | tr . _)
Name:          packagekit-qt
Epoch:         1
Version:       0.9.6
Release:       3mamba
Summary:       Qt5 bindings for PackageKit
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.packagekit.org
## GITSOURCE git://gitorious.org/packagekit/packagekit-qt.git
Source0:       https://github.com/hughsie/PackageKit-Qt.git/QPACKAGEKIT_%{tagver}/PackageKit-Qt-%{version}.tar.bz2
Patch0:        packagekit-qt-20130306git-revert-to-tag-QPACKAGEKIT_0_8_7.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: PackageKit-glib-devel
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Qt5 bindings for PackageKit.

%package -n libpackagekitqt5
Summary:       Qt5 bindings for PackageKit.
Group:         System/Libraries
Requires:      PackageKit

%description -n libpackagekitqt5
Qt bindings for PackageKit.

%package -n libpackagekitqt5-devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      libpackagekitqt5 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      PackageKit-qt-devel
Obsoletes:     PackageKit-qt-devel
Provides:      PackageKit-qt2-devel
Obsoletes:     PackageKit-qt2-devel
Provides:      libpackagekit-qt2-devel
Obsoletes:     libpackagekit-qt2-devel

%description -n libpackagekitqt5-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n PackageKit-Qt-%{version}
#%patch0 -p1

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libpackagekitqt5 -p /sbin/ldconfig
%postun -n libpackagekitqt5 -p /sbin/ldconfig

%files -n libpackagekitqt5
%defattr(-,root,root)
%{_libdir}/libpackagekitqt5.so.*
%doc AUTHORS COPYING

%files -n libpackagekitqt5-devel
%defattr(-,root,root)
%dir %{_includedir}/packagekitqt5
%dir %{_includedir}/packagekitqt5/PackageKit
%{_includedir}/packagekitqt5/PackageKit/*
%dir %{_libdir}/cmake/packagekitqt5
%{_libdir}/cmake/packagekitqt5/*.cmake
%{_libdir}/libpackagekitqt5.so
%{_libdir}/pkgconfig/packagekitqt5.pc
%doc NEWS TODO

%changelog
* Thu Oct 19 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-3mamba
- remove version in PackageKit requirement

* Tue Oct 17 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-2mamba
- don't obsolete libpackagekitqt4

* Fri Oct 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-1mamba
- update to 0.9.6

* Sat Aug 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-2mamba
- fix requirements of libpackagekitqt4-devel

* Fri Aug 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- update to 0.9.5

* Mon Jul 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-1mamba
- update to 0.8.8
- libpackagekit-qt2: require PackageKit
- bump epoch up

* Wed Mar 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20130306git-1mamba
- package created by silvan using the webbuild interface
